Imports DevExpress.LookAndFeel

Public Class frmSplash
    Sub New
        InitializeComponent()
    End Sub

    Public Overrides Sub ProcessCommand(ByVal cmd As [Enum], ByVal arg As Object)
        MyBase.ProcessCommand(cmd, arg)

        Dim oCommand As SplashScreenCommand = CType(cmd, SplashScreenCommand)
        Select Case oCommand
            Case SplashScreenCommand.SetProgress
                Dim oPosition As Integer = CInt(Fix(arg))
                ProgressBarControl1.Position = oPosition
            Case SplashScreenCommand.SetActionName
                txtActionName.Text = arg.ToString
        End Select
    End Sub

    Private Sub frmSplash_Load(sender As Object, e As EventArgs) Handles Me.Load
        Version.Text = String.Format("Version {0}", My.Application.Info.Version.ToString)
    End Sub

    Public Enum SplashScreenCommand
        SetProgress
        SetActionName
    End Enum


End Class
